Retrieves all the company contact
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "960bb9ca-2b3b-436b-8cf9-8a651473a454",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "f643f93b-6557-43b1-8ee5-70ede3713139",
"company_code": "sample string 5",
"company": {
"id": "5fd24574-422c-4990-8834-7d4c31c0d193",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-23T16:10:37.0505449+00:00",
"sales_territory_id": "ad1d642a-41dd-41e8-8c12-e58e8a41f1da",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "76fde90b-0ce7-40e6-a205-70d04577fb52",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "d0e664b7-1e51-4fa3-90dd-13c30c4e5450",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "c07d88e2-7624-41a7-8b39-e6dd2f15899b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "abdebd65-f12c-41b9-a0fa-25c5097f6cc0",
"db_currency_id": "7c29e8da-fd57-4317-ab8b-78e8387ac53b",
"db_language_id": "2de079d2-ec43-4c91-a352-389b5f4f4c22",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-23T16:10:37.0505449+00:00"
},
"modified_dateutc": "2026-10-23T16:10:37.0505449+00:00"
},
"marketing_segment_id": "fcb60ff5-4fe2-4d23-9e41-2dc0d526b743",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "5744e5db-f2d8-40cc-abba-ae3f4934f6d4",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "9420c4b8-9be4-448a-9fc5-3102bb4c5fe1",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "4c3fd8e4-85c1-433d-89bc-dbcd94af61bb",
"db_country_code": "sample string 28",
"feelist_id": "1927ea47-97ac-47b0-bb11-3bbd0177b887",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "0efa6ac4-ae25-4eb3-b9cb-91b129a9a02f",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "554ce475-389e-48f8-afee-ebdb59f87b87",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-23T16:10:37.0616292+00:00",
"db_currency_id": "3cbb64b2-fe0d-4522-8792-9d52d3f44b07",
"db_currency_code": "sample string 10"
},
"company_type_id": "8b6ae838-21ab-4c2a-8f2e-6365f6217255",
"company_type_name": "sample string 32",
"company_type": {
"id": "f54d7f7b-309d-4c9b-af46-614db2fc1297",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "7276e536-42d1-4d28-8813-aae7f37401af",
"sales_organization_code": "sample string 5"
},
"db_language_id": "60f9f8e9-0ec8-4d62-bbca-4a4da47ed4fe",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "525903c5-08a5-41c2-ad35-2bab3fe32c0b",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "3846e20f-cf90-45ba-997f-85ca408a2d8f",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "140e0011-1a56-40ab-9855-8d18f321a360",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-23T16:10:37.0616292+00:00"
},
"company_sector_id": "d5475c12-c8ec-4359-ad6e-ff33f2af8130",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "47d0a6b7-5a92-45ee-955c-b3bb34533edd",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "bb2c0730-44b2-4713-bf94-9a959caf45e2",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "93886e38-5e66-4b26-a746-427cc093dc2d",
"account_manager_user_code": "sample string 56",
"company_status_id": "b35d81cf-e05b-4476-b619-4806308878fa",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-23T16:10:37.0616292+00:00",
"id2": 60
},
"db_language_id": "81bcaf1c-0ac1-4f9f-9c3f-ad0e8a91e697",
"db_language_code": "sample string 7",
"db_title_id": "95938ac5-ff5e-4bd7-80ca-a8137c2c3e86",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-23T16:10:37.0616292+00:00",
"create_date": "2026-10-23T16:10:37.0616292+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-23T16:10:37.0616292+00:00"
}